import { Statistic } from "antd"
import React from "react"

interface Props {
    data: any
    field: string
}

const StatisticNull: React.FC<Props> = ({ field, data }) => {
    if (data?.[field] !== undefined && data?.[field] !== null) {
        return <Statistic value={data?.[field] || 0} />
    } else {
        return <span>--</span>
    }
}

export default React.memo(StatisticNull)